Skip navigation

Win7 & OpenGL

Forum NavigationHome > Forum Index > Longbow Support > Win7 & OpenGL
Level 12 Human old school map & modpack maker
Alignment: Lawful good
Location: nowhere you have ever heard of
Posted on June 16, 2012 at 10:56 pm

Been a long time since i've played TM (1.6), but, now im on Win7, DX11 (apparently) installed with it, but I can't seem to get passed the open gl rendering issue, the old fix doesn't seem to be working. Any advice welcomed. Ta
=/2=

Level 14 Extraplanar Programmer
Alignment: Chaotic good
Location: Toronto
Posted on June 19, 2012 at 1:33 pm

I've run it fine on Windows 7 and 8. Do you have the latest video drivers installed?

Level 12 Human old school map & modpack maker
Alignment: Lawful good
Location: nowhere you have ever heard of
Posted on July 8, 2012 at 3:47 pm

I do .. though im changing the card soon anyway. I tried to find DX11, only to discover it's now part of the Win7 OS. Can't find anything on OpenGL however, and the old opengl95 installer is not compatible with this 64bit system/os. When I went looking for a modern opengl, I kept coming back to the driver I already have installed. Nobody seems to know what the deal is, if opengl is now a part of DX11 or not. I've done lots of googling but not come across a solution yet.

Level 14 Extraplanar Programmer
Alignment: Chaotic good
Location: Toronto
Posted on July 11, 2012 at 10:27 am

OpenGL and DirectX are competing graphics libraries, so they have nothing to do with each other.

With a DirectX program, you need to update your video drivers (to get bug fixes) and you need to update DirectX itself (to get new features).

With OpenGL programs, the new features and the bug fixes are both included in the video drivers.

The problem is that the video driver that comes with Windows hasn't updated its OpenGL support since the late 90s, so you need to download a driver from your video card manufacturer to get decent OpenGL support.

What kind of video card do you have?

Level 12 Human old school map & modpack maker
Alignment: Lawful good
Location: nowhere you have ever heard of
Posted on July 15, 2012 at 9:23 pm

nVidia Geforce 7600 GT - once i've locked down the crashes (bad ram) i'll be replacing it with an nVidia Geforce GT440, couple of generations newer, more video ram etc...

Level 14 Extraplanar Programmer
Alignment: Chaotic good
Location: Toronto
Posted on July 16, 2012 at 3:50 pm

Nvidia has always had great OpenGL support. If you install the correct driver from here, it should work fine.

Level 12 Human old school map & modpack maker
Alignment: Lawful good
Location: nowhere you have ever heard of
Posted on August 27, 2012 at 5:40 am

Interesting, swapped out the video (finally found the time to do it), game runs smooth as ya like :O) bizzare how the old card wouldnt run it, even with the right driver installed. That said, feels nice having 1GB of vram now instead of 256mb - you can feel the difference, even in photoshop. All solved, Thx Rick. Has there been any changes I should be aware of ? a 1.7 patch, or a server ip change etc ?

Thx :o)

Level 14 Extraplanar Programmer
Alignment: Chaotic good
Location: Toronto
Posted on August 27, 2012 at 5:44 pm

No updates since 1.6.2; the server IP has changed, but the game will automatically use the new one when you click "Refresh Internet" or wait long enough.